Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class SharedDiskResourceConfig

`java.lang.Object
oracle.ovs.api.datamodel.SharedDiskResourceConfig`

All Implemented Interfaces:
  java.io.Serializable

Deprecated. replaced by `SharedVirtualDiskConfig`

      public class SharedDiskResourceConfig

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`SharedDiskResourceConfig()` Deprecated.
`SharedDiskResourceConfig(java.lang.String DiskName, java.lang.Long DiskSize, java.lang.String Comments)` Deprecated.

Method Summary
`java.lang.String` | `getComments()` Deprecated.
`java.lang.String` | `getDiskName()` Deprecated.
`java.lang.Long` | `getDiskSize()` Deprecated.
`void` | `setComments(java.lang.String Comments)` Deprecated.
`void` | `setDiskName(java.lang.String DiskName)` Deprecated.
`void` | `setDiskSize(java.lang.Long DiskSize)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedDiskResourceConfig

    public SharedDiskResourceConfig()

  Deprecated.

### SharedDiskResourceConfig

    public SharedDiskResourceConfig(java.lang.String DiskName,
                                    java.lang.Long DiskSize,
                                    java.lang.String Comments)

  Deprecated.

Method Detail

### getDiskSize

    public java.lang.Long getDiskSize()

  Deprecated.

### setDiskSize

    public void setDiskSize(java.lang.Long DiskSize)

  Deprecated.

### getDiskName

    public java.lang.String getDiskName()

  Deprecated.

### setDiskName

    public void setDiskName(java.lang.String DiskName)

  Deprecated.

### getComments

    public java.lang.String getComments()

  Deprecated.

### setComments

    public void setComments(java.lang.String Comments)

  Deprecated.

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.